> ## Documentation Index
> Fetch the complete documentation index at: https://developer.bron.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Workspace Prices

> Provides market pricing data for symbol ids. Enable the used filter to limit results to assets ever used in this workspace's transactions.

<sup>API Key permissions: View only, Transaction Operator, Full Access</sup>



## OpenAPI

````yaml /bron-open-api-public.json get /workspaces/{workspaceId}/symbol-market-prices
openapi: 3.1.1
info:
  description: >-
    Bron API is based on the RESTish interface provided for data exchange
    between a client and a server with the use of HTTPS requests and responses.
  title: Bron API
  version: latest
  x-bron-formats:
    bigint: Arbitrary-precision integer encoded as a JSON string.
    date-time-millis: >-
      Epoch milliseconds (UTC) encoded as a JSON string. Convert with `new
      Date(parseInt(value))` or equivalent.
    decimal: Arbitrary-precision decimal encoded as a JSON string.
    int32: 32-bit integer encoded as a JSON string.
    int64: >-
      Long integer encoded as a JSON string to preserve precision (e.g. account
      IDs).
servers:
  - description: app.bron.org
    url: https://api.bron.org
security: []
tags:
  - name: stake
  - name: balances
  - name: addresses
  - name: intents
  - name: assets
  - name: transaction-limits
  - name: canton
  - name: address-book
  - name: workspaces
  - name: accounts
  - name: transactions
paths:
  /workspaces/{workspaceId}/symbol-market-prices:
    get:
      tags:
        - assets
      summary: Get Workspace Prices
      description: >-
        Provides market pricing data for symbol ids. Enable the used filter to
        limit results to assets ever used in this workspace's transactions.


        <sup>API Key permissions: View only, Transaction Operator, Full
        Access</sup>
      parameters:
        - description: The symbol IDs you want to get market prices for
          example:
            - s2001,s2002
          in: query
          name: baseSymbolIds
          required: false
          schema:
            items:
              type: string
            type: array
        - description: The asset IDs you want to get market prices for
          example:
            - 1,2,3
          in: query
          name: baseAssetIds
          required: false
          schema:
            items:
              type: string
            type: array
        - description: >-
            Filter results to only include prices for assets that were ever used
            in this workspace's transactions. Cannot be combined with
            baseSymbolIds or baseAssetIds
          in: query
          name: used
          required: false
          schema:
            type: boolean
        - in: path
          name: workspaceId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SymbolMarketPrices'
          description: OK
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - bad-request
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Bad Request
        '403':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - forbidden
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Forbidden
        '409':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - conflict
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Conflict
components:
  schemas:
    SymbolMarketPrices:
      properties:
        prices:
          items:
            $ref: '#/components/schemas/SymbolMarketPrice'
          type: array
      required:
        - prices
      type: object
    SymbolMarketPrice:
      properties:
        baseSymbolId:
          description: The symbol you're getting the price for
          examples:
            - s2001
          type: string
        price:
          description: >-
            The actual market price - how much one unit of the base symbol costs
            in the quote symbol. For example, if Bitcoin costs $145,000 USD,
            this would be 145000
          examples:
            - '145000'
          format: decimal
          type: string
        quoteSymbolId:
          description: The currency the price is shown in
          examples:
            - s09
          type: string
      required:
        - baseSymbolId
        - quoteSymbolId
        - price
      type: object

````